# PotionName.PotionItemType (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Enum PotionName.PotionItemType

- java.lang.Object
- - java.lang.Enum<PotionName.PotionItemType>
  - - de.epiceric.shopchest.language.PotionName.PotionItemType

All Implemented Interfaces:
  Serializable, Comparable<PotionName.PotionItemType>

Enclosing class:
  PotionName

    public static enum PotionName.PotionItemType
    extends Enum<PotionName.PotionItemType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LINGERING_POTION`
`POTION`
`SPLASH_POTION`
`TIPPED_ARROW`

### Method Summary

All Methods Static Methods Concrete Methods
`static PotionName.PotionItemType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PotionName.PotionItemType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### POTION

    public static final PotionName.PotionItemType POTION

#### LINGERING_POTION

    public static final PotionName.PotionItemType LINGERING_POTION

#### SPLASH_POTION

    public static final PotionName.PotionItemType SPLASH_POTION

#### TIPPED_ARROW

    public static final PotionName.PotionItemType TIPPED_ARROW

### Method Detail

#### values

    public static PotionName.PotionItemType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PotionName.PotionItemType c : PotionName.PotionItemType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PotionName.PotionItemType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null